<?PHP

/*

  THIS PROGRAM READS A SET OF INDEXED IMAGE PAGES

  ALL IMAGES ARE IN PNG FORMAT

  ALL FILE NAMES IN THE SET MUST HAVE EXACTLY THE
  SAME NUMBER OF DIGITS, PADDING WITH ZEROS, IF
  NECESSARY.

  THE ZERO PADDING IS ADDED TO MAKE THE FIILE NAMES
  SORT INTO THE PROPER ASCENDING SEQUENCE.


  EACH IMAGE IN THE SET IS ONE OF A SERIES OF INDEXED
  PAGES, LIKE SCANS OF THE PAGES OF AN ARTICLE OR BOOK
  OR SIMPLE PRESENTATION.  THE IMAGES ARE NAMED ACCORDING
  TO THEIR CORRESPONDING PAGE OR INDEX NUMBERS.

  THE USER SELECTS THE PAGE TO VIEW FROM A BUTTON MENU
  THAT IS DISPLAYED AT BOTH THE TOP AND BOTTOM OF THE
  DISPLAYED IMAGE.



*/

// Initialize.
   $cYear = GMDate('Y');

   $_PROGRAM_VERSION_  = "v3.0";
   $_ACTION_FILE_NAME_ = $_SERVER['SCRIPT_NAME'];
   $_HTML_TITLE_       = "Secular Terms of Classical Planetary Theories Using the Results of General Theory";
   $_MAIN_HEADER_      = "Secular Terms of Classical Planetary Theories<BR>Using the Results of General Theory<br><br>A Paper by J. Laskar - Astronomy and Astrophysics v157, p59 to p70";
   $_CSS_PATH_         = "custom.css";
   $_BGCOLOR_          = "#C6DEFF";

   $MainMenuLink = '<a href="../index.php">RETURN TO MENU</a>';
   $MainMenuLink = ''; // Cancel the menu link.

// Automatically determine the minimum and
// maximum image page index numbers.
   $w = preg_split("[ ]", Min_Max());
   $MinPage = $w[0];
   $MaxPage = $w[1];

// Read selected page number.
   $CurPage = @$_POST['submit'];

// If nothing selected yet, then default to MinPage value.
   if ($CurPage == "")  {$CurPage = $MinPage;}

// Generate buttons menu as a TABLE object.
   $MenuButtons = Menu_Buttons ($MinPage, $MaxPage, $CurPage);




// *******************************************************
// THIS IS THE START OF THE HTML PAGE RETURNED TO THE USER

print <<< _HTML

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

<title>$_HTML_TITLE_</title>

<meta http-equiv="content-type" content="text/html; CHARSET=UTF-8">
<meta name="robots"    content="index,follow">
<meta name="googlebot" content="index,follow">

<style TYPE="text/css">
body{background-color:black; font-family:Verdana; font-size:15px;}
h4{font-size:16px; color:white; background-color:#0000DD; padding:4px; border:2px solid white; border-radius:8px 8px 0px 0px; text-align:center;}
div{text-align:center; font-size:14px;}
INPUT[type="submit"] {font-size:16px;}
img{border-radius:8px;}

</style>

</HEAD>

<BODY BGCOLOR="$_BGCOLOR_">

<table><tr><td style='text-align:center;'>
<h4>$_MAIN_HEADER_</h4>

<form name="Reader_Form1" method="post" action="$_ACTION_FILE_NAME_">
<div style='color:white; background-color:black; font-size:20px;'><span style='font-size:16px;'>Select Journal Page to View</span> $MenuButtons<br>$MainMenuLink<img src="$CurPage.png" alt="" style='border:1px solid black;'><br><br><span style='font-size:16px;'>Select Journal Page to View</span><br>$MenuButtons<br>$MainMenuLink</div>
</form>

<hr>
<div style='color:gray; font-size:70%;'>Program by Jay Tanner - $cYear</div>

</td></tr></table>

</BODY>

</HTML>


_HTML;

// THIS IS THE END OF THE HTML PAGE RETURNED TO THE USER
// *****************************************************







   function Menu_Buttons ($MinIndex, $MaxIndex, $CurIndex)
{

   $iMin = $MinIndex;
   $iMax = $MaxIndex;

   $buttons = "";


   for ($i = $iMin;   $i <= $iMax;   $i++)

   {

   if ($i == $CurIndex)
      {$buttons .= "&nbsp;<B>$i</B>&nbsp;&nbsp;";}
   else
      {$buttons .= "<input type='submit' name='submit'value=\"$i\"> ";}

   }

   $ButtonMenu = "<table cellpadding='2' cellspacing='1' align='center'><tr><td>" . trim($buttons) . '</td></tr></table>';

   $w = $ButtonMenu;

   return $w;

}









/*

   THIS FUNCTION RETURNS A LIST OF ALL THE .PNG IMAGES
   IN THE HOME FOLDER IN NUMERICAL ORDER.

   NOTE: ALL FILES NAMES ARE CASE SENSITIVE.

*/

   Function Min_Max ()
{


   $ImgExt = ".png";

// -------------------------
// Define files list string.

   $FilesList = "";

// ------------------------------------------------------------
// Split URL of this PHP program into an array of its elements.

   $ProgURL = PathInfo($_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']);

// -----------------------------------------------
// Isolate name of the root folder containing this
// program and the file names to be examined.

   $folder = Str_Replace($_SERVER['HTTP_HOST'], "", $ProgURL ["dirname"]);

//-------------------------------------------
// Define directory object for folder access.

   $FilesDirectory = Dir("."); // Dir("../$folder/");

// --------------------------------------------------------
// Create a listing of all image files in the folder ending
// with the given file extension ($ImgExt).

   While (($FileName = $FilesDirectory -> Read()) !== FALSE)
  {

// -----------------------------------------------------
// Isolate the file extension from the file name and add
// ($FileName) to list if ($FileExt) matches ($ImgExt).
// This test IS case sensitive.

   $FileExt = "";   $i = StrRPos(" " . $FileName, ".");

   If ($i > 0)
      {
       $FileExt = SubStr($FileName, $i-1, StrLen($FileName));

        If ($FileExt == $ImgExt) {$FilesList .= "$FileName ";}
      }

  }  // End of While()

// ----------------------------------------------
// AT THIS POINT, THERE SHOULD BE A LIST OF FILES
// WITH EXTENSION ($ImgExt) IN ($FilesList).
//
// THIS STRING CAN BE WRITTEN TO A TEXT FILE AS AN
// INDEX OF FILES WITH THE GIVEN FILE EXTENSION
// CONTAINED WITHIN THE CURRENT FOLDER.
//
// IF THERE ARE NO MATCHING FILES FOUND, THEN
// ($FilesList) WILL BE AN EMPTY STRING.

// ---------------------------
// Close the directory object.
   $FilesDirectory -> Close();

// Return FALSE if FilesList is empty.
   If (trim($FilesList) == "") {return FALSE;}


// Cut off ".png" file extensions.
   $FilesList = str_replace(".png", "", $FilesList);

// Normalize spacing between numbers.
   $FilesList = preg_replace('/\s+/', ' ', trim($FilesList));

// Sort numeric file names and extract
// minimum and maximum values.

   $files = preg_split("[ ]", $FilesList);
   sort($files);
   $min = $files[0];
   $max = $files[count($files)-1];

// Done.
   return "$min $max";

}










?>

